protege中使用推理机

《Protege新手入门(推理篇)》里推荐的推理机是http://www.racer-systems.com/中的RacerPro。但是我很悲催地发现它竟然是付费使用。虽然有免费使用到10月份的版本,但是下载下来却不会用。另外也有学生版的可以使用到明年4月份,但是申请步骤非常繁琐。

正在痛苦之时,意外发现我使用的protege3.4.7里自带了一个推理机Pellet1.5.2。虽然目前不清楚它和RacerPro差距在哪里,但是起码解决了我现在的问题。

由此得出一则小经验就是推荐虽好,但并不总是最实用。在学习中探索发现新方法才是硬道理!

16 thoughts on “protege中使用推理机

  1. bu
    2011-09-05 at 10:39

    protege是什么东东?

    1. 暮春小友
      admin
      2011-09-06 at 01:11

      是一个软件,可以用来进行本体建模。据说还不错呀~

    2. michelle
      2012-03-14 at 07:07

      哇哇,看了你的文章,就像找到了救命草。。。本人课设就是做基于本体的语义检索,目前很苦逼的搜索各种资源!!!

      1. 暮春小友
        暮春小友
        2012-03-15 at 02:43

        呵呵,很高兴我的文章可以对你有所助益~如果你英文还不错的话,建议看看国外的本体研究情况,推荐两个大学的网站:http://ontology.buffalo.edu/http://www-ksl.stanford.edu/,一个是纽约州立大学Buffalo分校的,一个是斯坦福大学的KSL实验室的,都有做本体的研究~

    3. 锺girl
      2012-12-20 at 05:57

      我下载的也是protege3.4.7 但我发现你说的自带的那个推理机我没有耶 求解?

      1. 暮春小友
        暮春小友
        2012-12-21 at 01:53

        有的呀~要不你到官网上下载吧:http://protege.stanford.edu/download/registered.html。另外你也可以搜索一下protege的插件,也有推理机可以使用~

    4. stargirlxyl
      2013-02-28 at 11:22

      你好,我在学习Protege,用的是3.4.8版本,用OWLViz插件生成的关系图叠加在左上角,可是我建的类名都是英文的,还是无法正常显示。安装了Graphviz2.30.1.想问下,这种情况是什么原因?

      1. 暮春小友
        暮春小友
        2013-03-27 at 14:42

        是否出现了dot error的错误提示?如果是的话,你用用这篇文章中的方法:http://warmcafe.info/archives/74
        另外,你试试graphviz 2.28版本,怎么样?

    5. water
      2013-05-15 at 01:50

      您好,我正在做本体方面的研究,关于实验数据,我的论文为了要求数据量和权威数据,我没有采用自己建立的简单的owl本体文件,而是下载了一个rdf的数据集,可是对于该数据集合我有两点需要咨询:1我能否用protege进行编辑导出成owl再加入到我现在的系统2如果我直接采用这个rdf数据集有没有相关的技术文章能够给我一个思路该如何的加入到我的原型系统 中去?我的语义距离算法目前还是采用一本书上的语义距离算法,尚未自己的思路,不知道该怎么把语义距离算法和自己的原型系统结合起得来。因为原来是研究语义web服务 后来才进入到这个语义检索领域,觉得好难啊。希望各位本领域的同学和研究者能够原谅我的无知,给我一些思路。感觉时间紧迫。

      1. 暮春小友
        暮春小友
        2013-05-27 at 06:03

        额,我也是只小菜鸟,你的问题我也没遇到~处理RDF的数据的话,用Jena,检索RDF的话,用SPARQL~我只知道这些了~

    6. lily
      2014-12-03 at 07:56

      我想请教一下protege4.1中 如何设置充分必要条件

      1. 暮春小友
        暮春小友
        2014-12-08 at 08:51

        你好,我最近的工作没有在继续使用protege了,所以无法回答你的问题。建议你参考一下protege的官方文档(http://protegewiki.stanford.edu/wiki/Main_Page)。

  2. fanny
    2012-10-31 at 08:57

    想问下,是不是protege3.4.7以后都自带的有推理机啊?

    1. 暮春小友
      暮春小友
      2012-11-09 at 04:20

      我记得protege3.4和4.1都有自带的推理机。不过好久没用,有点忘记了~另外,不用自带的推理机,好像也有插件可以支持~你可以搜一下~

  3. wood
    2012-12-19 at 01:44

    我用的是4.1那个《Protege新手入门(推理篇)》中用的是3.1,发现两个版本的界面差别好大,在做推理时,有个设定充分必要条件的选项,我在4.1中怎么也找不到,请问你对4.1熟悉吗?谢谢

    1. 暮春小友
      暮春小友
      2012-12-21 at 01:49

      我用4.1只做过简单的建模,还没有推理过。你到官网上(http://protege.stanford.edu/doc/users.html)下载帮助文档吧,就是文档是英文的,看着费劲儿。另外英国的曼彻斯特大学也给出了protege不同版本的文档,供你参考呀http://owl.cs.manchester.ac.uk/tutorials/protegeowltutorial/

Leave a Reply

Your email address will not be published. Required fields are marked *